Qt 5.6 | Qt 3D | C++ Classes | QAxisActionHandler

Qt 5.6.3 Reference Documentation

# QAxisActionHandler Class

(Qt3DInput::QAxisActionHandler)

Header: | #include <QAxisActionHandler>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | AxisActionHandler
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- logicalDevice : Qt3DInput::QLogicalDevice *

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAxisActionHandler(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAxisActionHandler()
Qt3DInput::QLogicalDevice * | logicalDevice() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setLogicalDevice(Qt3DInput::QLogicalDevice *logicalDevice)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | actionFinished(QString name)
void | actionStarted(QString name)
void | axisValueChanged(QString name, float axisValue)
void | logicalDeviceChanged(Qt3DInput::QLogicalDevice *logicalDevice)

- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QAxisActionHandler(QAxisActionHandlerPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)
void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)

- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### logicalDevice : Qt3DInput::QLogicalDevice *

Access functions:

Qt3DInput::QLogicalDevice * | logicalDevice() const
void | setLogicalDevice(Qt3DInput::QLogicalDevice *logicalDevice)

Notifier signal:

void | logicalDeviceChanged(Qt3DInput::QLogicalDevice *logicalDevice)

## Member Function Documentation

### QAxisActionHandler::QAxisActionHandler(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAxisActionHandler.

### `[protected]` QAxisActionHandler::QAxisActionHandler(QAxisActionHandlerPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QAxisActionHandler::~QAxisActionHandler()

Destroys the instance of QAxisActionHandler.

### `[signal]` void QAxisActionHandler::actionFinished(QString name)

### `[signal]` void QAxisActionHandler::actionStarted(QString name)

### `[signal]` void QAxisActionHandler::axisValueChanged(QString name, float axisValue)

### `[protected]` void QAxisActionHandler::copy(const Qt3DCore::QNode *ref)

### `[protected]` void QAxisActionHandler::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)